> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pool spot prices

> Get the spot token pair prices for a specified pool contract address. Supports pools on Uniswap V2, V3 and their forks. 

<CardGroup cols={2}>
  <Card title="Credit Cost"> 1 per call</Card>
  <Card title="Processing"> Batch</Card>
</CardGroup>

<Tip>
  Estimate your monthly cost for this API using the [Pricing Calculator](/pricing-calculator?endpoint=%2Fapi-reference%2Ffoundational-api%2Futility%2Fget-pool-spot-prices).
</Tip>

<Info>
  Supports pools on Uniswap V2, V3 and their forks on all [Foundational Chains](https://goldrush.dev/chains/).
</Info>


## OpenAPI

````yaml GET /v1/pricing/spot_prices/{chainName}/pools/{contractAddress}/
openapi: 3.1.0
info:
  title: GoldRush Multichain Data APIs
  version: 1.0.0
  description: Covalent's GoldRush Multichain Data APIs OpenAPI Schema.
servers:
  - url: https://api.covalenthq.com
security:
  - bearerAuth: []
paths:
  /v1/pricing/spot_prices/{chainName}/pools/{contractAddress}/:
    get:
      tags:
        - get-pool-spot-prices
      description: >-
        Get the spot token pair prices for a specified pool contract address.
        Supports pools on Uniswap V2, V3 and their forks. 
      operationId: getPoolSpotPrices
      parameters:
        - name: chainName
          in: path
          description: 'The chain name eg: `eth-mainnet`.'
          required: true
          schema:
            type: string
        - name: contractAddress
          in: path
          description: The pool contract address.
          required: true
          schema:
            type: string
        - name: quote-currency
          in: query
          description: >-
            The currency to convert. Supports `USD`, `CAD`, `EUR`, `SGD`, `INR`,
            `JPY`, `VND`, `CNY`, `KRW`, `RUB`, `TRY`, `NGN`, `ARS`, `AUD`,
            `CHF`, and `GBP`.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  updated_at:
                    type: string
                    format: date-time
                    description: The timestamp when the response was generated.
                  pool_address:
                    type: string
                    description: The deployed pool contract address.
                  token_0_address:
                    type: string
                    description: >-
                      The deployed contract address of `token_0` in the token
                      pair making up the pool.
                  token_0_name:
                    type: string
                    description: >-
                      The deployed contract name of `token_0` in the token pair
                      making up the pool.
                  token_0_ticker:
                    type: string
                    description: >-
                      The deployed contract symbol of `token_0` in the token
                      pair making up the pool.
                  token_0_price:
                    type: string
                    description: Price of `token_0` in units of `token_1`.
                  token_0_price_24h:
                    type: string
                    description: >-
                      Price of `token_0` in units of `token_1` as of 24 hours
                      ago.
                  token_0_price_quote:
                    type: string
                    description: >-
                      Price of `token_0` in the selected quote currency
                      (defaults to USD).
                  token_0_price_24h_quote:
                    type: string
                    description: >-
                      Price of `token_0` in the selected quote currency
                      (defaults to USD) as of 24 hours ago.
                  token_1_address:
                    type: string
                    description: >-
                      The deployed contract address of `token_1` in the token
                      pair making up the pool.
                  token_1_name:
                    type: string
                    description: >-
                      The deployed contract name of `token_1` in the token pair
                      making up the pool.
                  token_1_ticker:
                    type: string
                    description: >-
                      The deployed contract symbol of `token_1` in the token
                      pair making up the pool.
                  token_1_price:
                    type: string
                    description: Price of `token_1` in units of `token_0`.
                  token_1_price_24h:
                    type: string
                    description: >-
                      Price of `token_1` in units of `token_0` as of 24 hours
                      ago.
                  token_1_price_quote:
                    type: string
                    description: >-
                      Price of `token_1` in the selected quote currency
                      (defaults to USD).
                  token_1_price_24h_quote:
                    type: string
                    description: >-
                      Price of `token_1` in the selected quote currency
                      (defaults to USD) as of 24 hours ago.
                  quote_currency:
                    type: string
                    description: >-
                      The currency to convert. Supports `USD`, `CAD`, `EUR`,
                      `SGD`, `INR`, `JPY`, `VND`, `CNY`, `KRW`, `RUB`, `TRY`,
                      `NGN`, `ARS`, `AUD`, `CHF`, `GBP`, `BTC` and `ETH`.
      x-codeSamples:
        - lang: TypeScript
          label: GoldRush SDK
          source: |-
            import { GoldRushClient } from "@covalenthq/client-sdk";

            const ApiServices = async () => {
                const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
                const resp = await client.PricingService.getPoolSpotPrices({chainName: "chainName", walletAddress: "walletAddress"});
                console.log(resp.data);
            };

            ApiServices();
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form: `Bearer <token>`, where
        `<token>` is your GoldRush API Key.

````